#!/usr/bin/make -f

export PYBUILD_NAME=pytest-instafail

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_test:
	dh_auto_test -- --system=custom --test-args="PYTHONPATH={build_dir} {interpreter} -m pytest test_instafail.py -v"

override_dh_installchangelogs:
	mkdir -p debian/tmp
	rst2html CHANGES.rst debian/tmp/CHANGES.html
	dh_installchangelogs -k debian/tmp/CHANGES.html

execute_before_dh_installdocs:
	mkdir -p debian/tmp
	rst2html README.rst debian/tmp/README.html

execute_before_dh_missing:
	find debian/tmp -name CHANGES.html | xargs rm -rf

execute_after_dh_auto_clean:
	rm -rf debian/tmp
	rm -rf build
	rm -rf *.egg-info
